Page MenuHomePhabricator

Scaling of fonts in Firefox results in too small fonts
Closed, ResolvedPublic

Description

...or the two stolen pixels.

With the vector-skin it's hard to setup bigger fonts for text body . Even with 18px one get's only 14px (rounded). And my convinient setting was 17px resulting in 16px font size on MonoBook. The Table below lists the scaling result depending on settings.

127%*x-small = MonoBook
0.8*medium = Vector

medium° | x-small | 127%*x-small | 0.8*medium
12px | 9px | 11.43px | 9.6px
13px | 10px | 12.7px | 10.4px
14px | 10px | 12.7px | 11.2px
15px | 10px | 12.7px | 12px
16px | 10px | 12.7px | 12.8px (default setting)
17px | 12.75px | 16.1925px | 13.6px (=14px)
18px | 13.5px | 17.145px | 14.4px (=14px!)

°medium = browser setting

Since target size is 13px it would lead to more comfortable configuration options when setting scaling factor to 13/16 = 0,8125.

medium | (0.8125*medium)
12px | 9.75px
13px | 10.5625px
14px | 11.375px
15px | 12.1875px
16px | 13px
17px | 13.8125px (=14px)
18px | 14.625px (=15px)

By the way google search uses small for scaling textbody, which gives best results in upscaling fonts, also it's less predictable what exactliy is happening.

Should affect opera, chrome and safari as well, but on IE there is no way in setting font size directly by numbers.

Details

Reference
bz24402

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 11:10 PM
bzimport added a project: Vector.
bzimport set Reference to bz24402.
bzimport added a subscriber: Unknown Object (MLST).
Menner created this task.Jul 16 2010, 11:34 AM

font size:small; on diffrent browsers

medium | Opera | FireFox
---------+--------+-----------
14px | 12px | 12px
15px | 12px | 13px
16px | 13px | 13px
17px | 14px | 15.117px
18px | 15px | 16.017px

Could you please fix that at least for the body object.

#bodyContent {
font-size:0.8125em;
}

Thehelpfulonewiki wrote:

Is this still a problem? Vector has been about for a while now as the default skin so I'd imagine issues should have been fixed.

Menner added a comment.May 2 2012, 8:58 AM

Good questions. Counting pixels of a screen shot shows that scaling font size on FF12 does quite well. But styles in vector didn't change in that point. FireBug still gives the same calculated values. Maybe rendering or rounding has changed.

FireFox 12.1
medium° | 0.8*medium
17px | 13.6px (=14px)
18px | 14.4px (=15px?! counted)

In my opinion styles still should be set to 13/16 = 0,8125.

I think this bug is implicitly fixed by the typography refresh. The #bodyContent font-size has been changed to 0.875em (which gives exactly 14px if medium is 16px).

Krinkle updated the task description. (Show Details)Jan 5 2015, 2:16 AM
Krinkle set Security to None.
Krinkle removed subscribers: Unknown Object (MLST), Krinkle.
Quiddity closed this task as Resolved.Jan 5 2015, 6:15 PM
Quiddity claimed this task.

I think this bug is implicitly fixed by the typography refresh. The #bodyContent font-size has been changed to 0.875em (which gives exactly 14px if medium is 16px).

Agreed. Closing.

Quiddity removed Quiddity as the assignee of this task.Jan 5 2015, 6:15 PM